/* _dict.cc 20/02/1999 13.11.30 */
/* nsql.cc 10/03/2000 21.30.32 */
PUBLIC NSQL::NSQL (const char *server, const char *db);
PUBLIC NSQL::NSQL (SSTREAM *sout);
PUBLIC NSQL::NSQL (NSQL_ARGS&args);
PUBLIC NSQL::~NSQL (void);
PUBLIC int NSQL::disconnect (void);
PUBLIC int NSQL::connect (void);
PUBLIC int NSQL::query (const char *req);
PUBLIC int NSQL::queryf (const char *ctl, ...);
PUBLIC int NSQL::vqueryf (const char *ctl, va_list list);
PUBLIC int NSQL::a_query (const char *req);
PUBLIC int NSQL::a_queryf (const char *ctl, ...);
PUBLIC int NSQL::a_vqueryf (const char *ctl, va_list list);
PUBLIC const char *NSQL::error (void);
PUBLIC MYSQL_RES *NSQL::store_result (void);
PUBLIC void NSQL::free_result (MYSQL_RES *res);
PUBLIC NSQL_ARGS::NSQL_ARGS (void);
PUBLIC NSQL_ARGS::NSQL_ARGS (const char *_server, const char *_db);
PUBLIC NSQL_ARGS::~NSQL_ARGS (void);
PUBLIC void NSQL_ARGS::setserver (const char *s);
PUBLIC void NSQL_ARGS::setdb (const char *s);
PUBLIC int NSQL_ARGS::isok (void);
PUBLIC NSQL_ENCODE::NSQL_ENCODE (void);
PUBLIC NSQL_ENCODE::~NSQL_ENCODE (void);
PUBLIC const char *NSQL_ENCODE::enc (const char *s);
PUBLIC const char *NSQL_ENCODE::enc (const SSTRING&s);
/* query.cc 10/03/2000 21.24.40 */
void _F_sql_query::dostart (int);
void _F_sql_query::doend (void);
void _F_sql_query::empty (void);
void _F_sql_query::onerow (MYSQL_ROW, int);
/* tlmpsql.cc 20/07/1999 21.59.22 */
